Bug Hunting Session
Bug 45748 - Page break mark is located in the middle of the page
Summary: Page break mark is located in the middle of the page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-07 11:26 UTC by Muriel de Souza Godoi
Modified: 2012-02-14 05:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (12.31 KB, image/png)
2012-02-07 11:27 UTC, Muriel de Souza Godoi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muriel de Souza Godoi 2012-02-07 11:26:06 UTC
You can reproduce it doing the following:

1) Create a new Writer document
2) Insert a page break using menu "Insert" -> "Page Break"
3) Set a new style on the dialog
4) Check "change a page number" and set an random number.
5) Click OK.

The page break marker is located in the middle of the page as showed in the attached image.
Comment 1 Muriel de Souza Godoi 2012-02-07 11:27:31 UTC
Created attachment 56717 [details]
screenshot
Comment 2 Cor Nouws 2012-02-09 03:09:44 UTC
(In reply to comment #0)

> The page break marker is located in the middle of the page as showed in the
> attached image.

confrimed - I only see it after scrolling up/down BTW
thanks for the report!
Comment 3 Cor Nouws 2012-02-12 11:42:05 UTC
One would expect this to be fixed with 
  http://cgit.freedesktop.org/libreoffice/core/commit/?id=9babbf346c4d6f76e8b3a243a00e73a173c16ba6
that made it into 3.5.0rc3 ..
Comment 4 Michael Meeks 2012-02-13 02:25:20 UTC
Muriel / Cor - can you confirm that you are using RC3 ?
Comment 5 Cor Nouws 2012-02-13 02:38:54 UTC
(In reply to comment #4)
> Muriel / Cor - can you confirm that you are using RC3 ?

For sure
Comment 6 Cédric Bosdonnat 2012-02-14 00:35:42 UTC
Taking it: changing the page number inserts a dummy page in the layout tree structure... which completely wrongs the control position computation.
Comment 7 Jan Holesovsky 2012-02-14 05:41:31 UTC
Cédric Bosdonnat commited a patch related to this issue to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9baee86cbdec44c657d06f355bdba0537fb12a1a

fdo#45748: Don't use empty pages fo computing the page break position
Comment 8 Cédric Bosdonnat 2012-02-14 05:46:49 UTC
Fixed in master.
Comment 9 Jan Holesovsky 2012-02-14 05:58:19 UTC
Cédric Bosdonnat commited a patch related to this issue to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66cf06ebdd4eeb95e801de114af06b49119fc7fe&g=libreoffice-3-5

fdo#45748: Don't use empty pages fo computing the page break position